<?php

namespace App\Actions\V1\Roles;

use App\Repositories\V1\Roles\PermissionRepositoryInterface;
use Illuminate\Database\Eloquent\Collection;

readonly class PermissionsListAction
{
    public function __construct(private PermissionRepositoryInterface $permissionRepository)
    {
    }

    public function execute(): Collection
    {
        return $this->permissionRepository->index();
    }
}
